function createShortcut() {
	var shortcutIntent = Ti.Android.createIntent({
		  action: "com.android.launcher.action.INSTALL_SHORTCUT",
		}),
		shortcutAction = Ti.Android.createIntent({
			action: Ti.Android.ACTION_VIEW,
			className: 'com.alloy.SampleActivity',
	  		packageName: 'com.alloy',
	  		flags: Ti.Android.FLAG_ACTIVITY_NEW_TASK
		}),
		shortcutIcon = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, "appicon.png").read();
		
	// set intent text
	if($.a.value) {
		shortcutAction.putExtra(Ti.Android.EXTRA_TEXT, "INTENT EXTRA_TEXT");
	}
	
	// setup shortcut
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_ICON, shortcutIcon);
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_NAME, "ALLOY" + ($.a.value ? " TEXT" : ""));
	shortcutIntent.putExtra(Ti.Android.EXTRA_SHORTCUT_INTENT, shortcutAction);
	shortcutIntent.putExtra("duplicate", false);
	
	// create shortcut
	Ti.Android.currentActivity.sendBroadcast(shortcutIntent);
}

$.index.open();